Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.presentation
Interface IPresentationDamager

All Known Implementing Classes:
  DefaultDamagerRepairer

public interface IPresentationDamager

A presentation damager is a strategy used by a presentation reconciler to determine the region of the document's presentation which must be rebuilt because of a document change. A presentation damager is assumed to be specific for a particular document content type. A presentation damager is expected to return a damage region which is a valid input for a presentation repairer. I.e. having access to the damage region only the repairer must be able to derive all the information needed to successfully repair this region.

This interface must either be implemented by clients or clients use the rule-based default implementation `DefaultDamagerRepairer`. Implementers should be registered with a presentation reconciler in order get involved in the reconciling process.

See Also:
  `IPresentationReconciler`, `IDocument`, `DocumentEvent`, `IPresentationRepairer`

Method Summary
`IRegion` | `getDamageRegion(ITypedRegion partition, DocumentEvent event, boolean documentPartitioningChanged)` Returns the damage in the document's presentation caused by the given document change.
`void` | `setDocument(IDocument document)` Tells the presentation damager on which document it will work.

Method Detail

### setDocument

    public void setDocument(IDocument document)

  Tells the presentation damager on which document it will work.

  Parameters:
    `document` - the damager's working document

### getDamageRegion

    public IRegion getDamageRegion(ITypedRegion partition,
                                   DocumentEvent event,
                                   boolean documentPartitioningChanged)

  Returns the damage in the document's presentation caused by the given document change. The damage is restricted to the specified partition for which the presentation damager is responsible. The damage may also depend on whether the document change also caused changes of the document's partitioning.

  Parameters:
    `partition` - the partition inside which the damage must be determined
    `event` - the event describing the change whose damage must be determined
    `documentPartitioningChanged` - indicates whether the given change changed the document's partitioning
  Returns:
    the computed damage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.